# React 
## what is react
React is ofter used with SPA

React is less opioniated then other front end tech

Component based architecture

when were working with react we are working with a hybrid of our view and our funtionality

JSX 

Virtual DOM: good performance
it operates in the BG 

Webpack
Babel

transpiler

Signal to noise ratio 

npm run "custon script"

bootstraping : bringing things together

- My background is CSC
- Love road trips
- favorite OS i

react-router-dom

container component (logic)
presentation component (render style)

how to handle data

props and state
props should be immutable

higher order funtions
withROuter